// ID:编号, ItemIDs:物品ID, ItemCounts:物品数量, weight:权重

export default class M_ActivityIntegralDrawCFG {
  private static data =
      {"1":{"ID":1,"ItemIDs":[16],"ItemCounts":[50],"weight":80}

      ,"2":{"ID":2,"ItemIDs":[24],"ItemCounts":[1],"weight":330}

      ,"3":{"ID":3,"ItemIDs":[1],"ItemCounts":[100000],"weight":400}

      ,"4":{"ID":4,"ItemIDs":[25],"ItemCounts":[1],"weight":60}

      ,"5":{"ID":5,"ItemIDs":[1],"ItemCounts":[300000],"weight":105}

      ,"6":{"ID":6,"ItemIDs":[26],"ItemCounts":[1],"weight":5}

      ,"7":{"ID":7,"ItemIDs":[1],"ItemCounts":[500000],"weight":16}

      ,"8":{"ID":8,"ItemIDs":[94],"ItemCounts":[1],"weight":3}

      ,"9":{"ID":9,"ItemIDs":[27],"ItemCounts":[1],"weight":1}

      }// ID:编号, ItemIDs:物品ID, ItemCounts:物品数量, weight:权重


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}